﻿body {
    font: 18px Arial, Helvetica, Verdana sans-serif !important;
    color: black;
    margin: 0 !important
}


.wrapper {
    width: 95%;
    margin: 20px 10px 50px 20px;
    text-align: left;
}

a {
    text-decoration: none;
}

.respondent-information {
    font-family: Arial, Helvetica, Verdana sans-serif;
    font-size: 18px !important;
    font-weight: normal;
    color: #000000;
}

.agency-information {
    font-size: 18px;
    padding-left:0px !important;
}

.paraStyle {
    font-family: Arial, Helvetica, Verdana sans-serif !important;
    font-size: 14px !important;
    font-weight: normal !important;
    color: #000000 !important;
    margin: 0 0 10px 0 !important;
}

.report-date {
    font-style: italic;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: normal;
    font-size: 10px !important;
    color: #000000;
    padding-bottom: 5px;
}

.legend-image {
    width: auto;
    height: 80px;
    float: left;
    margin: 0px 15px, 15px 0px;
}

h1 {
    font-family: Arial, Helvetica, Verdana sans-serif;
    font-size: 21px;
    font-weight: bold;
    color: #1b4b8c;
    padding-bottom: 5px;
}

h2 {
    font-family: Arial, Helvetica, Verdana sans-serif;
    font-size: 18px;
    font-weight: bold;
    color: #1b4b8c;
    margin-bottom: 20px;
}

.nationalLogo {
    margin-left: 10px;
    margin-bottom: 40px;
}

.cellLegend {
    width: 30px;
    height: auto;
}


.sectionBanner {
    background-color: #f3f3f3 !important;
    width: 100%;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 11px;
    font-weight: bold;
    letter-spacing: 1px;
    margin: 10px auto;
    padding: 0;
    overflow: hidden;
    border-bottom: 2px solid #000000;
    border-top: 2px solid #000000;
    page-break-inside: avoid;
}

.sectionScoreBox {
    float: right;
    padding: 4px;
    margin: 0;
    width: 45%;
    right: 0;
    text-align: right;
}

.sectionScore {
    color: #990000;
    font-size: 18px;
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    text-align: center;
}

.sectionTitle {
    color: #000000;
    font-size: 18px;
    font-weight: bold;
    font-family: Arial, Helvetica, sans-serif;
    float: left;
    padding: 10px 10px 10px 5px;
    width: 50%;
    margin: 0;
}

.importance-statements {
    font-family: Arial, Helvetica, Verdana sans-serif;
    font-size: 16px;
    font-weight: normal;
    color: #000000;
    padding: 0px 0 0px 0px;
}

.importance-statements-list {
    margin: 0 0px 0px 10px;
    font-family: Arial, Helvetica, Verdana sans-serif;
    font-size: 16px;
    font-weight: normal;
    text-align: left;
    color: #000000;
}


/* Section Scores Table Design Info */

table.scoringTable {
    border: 2px solid #FFFFFF;
    width: 100%;
    text-align: center;
    border-collapse: separate;
    border-spacing: 0px 0px;
}


    table.scoringTable th {
        width: 52%;
        text-align: left;
        font-weight: bold;
        font-size: 14px;
        font-family: Arial, Helvetica, Verdana sans-serif;
        padding: 1% 3px 1% 4px;
        border-bottom: 1px solid #ddd;
        border-right: 1px solid #ddd;
    }

    table.scoringTable td {
        width: 12%;
        text-align: center;
        font-weight: bold;
        font-size: 14px;
        font-family: Arial, Helvetica, Verdana sans-serif;
        border-bottom: 1px solid #ddd;
        border-right: 1px solid #ddd;
        padding-bottom: 1%;
        padding-top: 1%;
    }

table-column-wording {
    font-size: small;
    font-weight: bold;
}


.table-column-wordingRed {
    color: #B80B0D;
    font-size: small;
    font-weight: bold;
}


table.scoringTable tableTitle {
    width: 45%;
    font-size: 20px;
    vertical-align: bottom;
    text-align: left;
    color: #1b4b8c;
    font-weight: bold;
}


table.scoringTable tr:nth-child(even) {
    background: #f3f3f3;
}

table.scoringTable thead {
    border-bottom: 3px solid #EEEEEE;
}

    table.scoringTable thead th {
        font-weight: bold;
        color: #000000;
        text-align: center;
    }

table.scoringTable tfoot td {
    font-size: 14px;
}

.dataColumn {
    text-align: center;
    font-weight: bold;
    font-size: 16px;
    font-family: Arial, Helvetica, Verdana sans-serif;
}

.print {
    visibility: visible;
}



/* Apply Flexbox only to the container for the boxes */
.box-container {
    display: flex;
    gap: 20px; /* Space between the boxes */
}

/* Box container styles */
.box-container {
    display: flex;
    gap: 2px;
}

/* Box styles */
.box {
    display: flex;
    flex-direction: column;
    align-items: center;
    /*justify-content: center;*/
    width: 150px;
    height: 130px;
    border: 5px solid black;
    margin: 5px 12px 0px 6px;
    font-size: 70px;
    font-weight: bold;
    font-family: Segoe, "Segoe UI", "DejaVu Sans", "Trebuchet MS", Verdana, "sans-serif";
}

    .box.red-border {
        border-color: red;
    }

    .box small {
        margin-top: -10px;
        font-size: 14px;
        font-weight: normal;
    }

/* Description text under the boxes */
.box-container div p {
    text-align: center;
    font-size: 14px;
    margin-top: 5px; /* Space between the box and the text */
    margin-left: 5px; /* Space between the box to the left */
    width: 150px; /* Keep in line with the overall box */
    font-weight: bold;
}

/* Smaller text for lower descriptions */
.small-text {
    font-size: 14px;
}
.small-text-box {
    font-size: 13px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
}


/* Center thank you */
.center-wrapper {
    display: flex !important;
    flex-direction: column !important;
    justify-content: center !important;
    align-items: center !important;
    min-height: 100vh !important; /* Ensure it takes up the full screen height */
    text-align: center !important; /* Center text */
    margin: 0 !important;
    padding: 0 !important;
    width: 100% !important;
}

.center-wrapper2 {
    display: flex !important;
    flex-direction: column !important;
    justify-content: center !important;
    align-items: center !important;
    text-align: center !important; /* Center text */
    margin: 0 !important;
    padding: 0 !important;
    width: 100% !important;
}

#hrsaStatement {
    font-family: Arial, Helvetica, Verdana sans-serif;
    font-size: 10px !important;
    font-weight: normal !important;
    color: #000000 !important;
}

.footerBasic {
    /*font-size: 0.8em;*/
    font-size: 12px;
}


@media screen {
    #hrsaStatement {
        display: none;
    }
}

@media print {
    .noprint {
        visibility: hidden;
    }

    .print-wrapper{
        margin-top: 0em;
    }

    .small-text-box {
        font-size: 0.7em !important;
    }

    .legend-print {
        margin-bottom: -1em;
    }

    .print {
        visibility: visible;
    }

    h2 {
        margin-bottom: 5px;
    }

    .main-content {
        display: block; /* Disable flexbox for print */
        flex: unset;
        padding: 0; /* Remove padding if causing margin issues */
        margin-top: -72px;
    }

    img {
        padding-top: 25px;
        width: 200px;
        height: 111px;
    }

    @page {
        size: auto;
        font-size: 12pt !important;
        padding-top: 72px;
        margin: 0.25in;
        padding-bottom: 72px;
    }

    body {
        padding-top: 0px;
        padding-bottom: 72px;
        padding-right: 10px;
        padding-left: 10px;
    }

    #header {
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
    }
}
